# what's where?
include GNUmakevars


all: \
	test-sporenschiff.png \
	test-mittelteil.png \
	test-ritterschiff.png \


%.ppm: %.pov
	$(POVRAY) +W$(WIDTH) +H$(HEIGHT) +V -I$< +L$(POVINC) +D +FP

%.png: %.pov
	$(POVRAY) +V -I$< +L$(POVINC) +D +FN

%.pov: make%
	$< > $@

test-ritterschiff.png: test-ritterschiff.pov \
    ritterschiff.pov sporenschiff.pov mittelteil.pov
	$(POVRAY) +W800 +H400 +V -I$< +L$(POVINC) +D +FN

test-sporenschiff.png: test-sporenschiff.pov \
    sporenschiff.pov 

test-mittelteil.png: test-mittelteil.pov \
    mittelteil.pov 

%.gif: %.ppm
	ppmquant 256 $< | ppmtogif > $@
